Uses of Class
de.xima.fc.api.rest.pub.client.security.ApiException
-
Packages that use ApiException Package Description de.xima.fc.api.rest.pub.client.security -
-
Uses of ApiException in de.xima.fc.api.rest.pub.client.security
Subclasses of ApiException in de.xima.fc.api.rest.pub.client.security Modifier and Type Class Description classUnexpectedStatusCodeExceptionWhen an answer was received from the REST API, but the status code did not match any known status code.classUnsuccessfulStatusCodeExceptionWhen an answer was received from the REST API and the status code did match a known status code, but that status code was not a success status code 2xx.Methods in de.xima.fc.api.rest.pub.client.security that throw ApiException Modifier and Type Method Description <T> TJaxRsAdapter. deserialize(javax.ws.rs.core.Response response, javax.ws.rs.core.GenericType<T> returnType, ApiClientConfig config, Formatter formatter)Deserialize response body to Java object according to the content type.<T> TJaxRsAdapterRestEasy. deserialize(javax.ws.rs.core.Response response, javax.ws.rs.core.GenericType<T> returnType, ApiClientConfig config, Formatter formatter)protected FileJaxRsAdapterRestEasy. downloadFileFromResponse(javax.ws.rs.core.Response response)Download file from the given response.ApiResponse<T>ApiInvocation. invoke()Invokes the request synchronously viaInvocation.invoke().ApiResponse<T>DefaultApiInvocation. invoke()<T> ApiResponse<T>ApiClient. invokeApiSync(ApiCall<?> call)Invoke an API endpoint by sending an HTTP request with the given options.<T> ApiResponse<T>DefaultApiClient. invokeApiSync(ApiCall<?> call)javax.ws.rs.client.Entity<?>JaxRsAdapter. serialize(Object obj, String contentType, ApiClientConfig config, Formatter formatter)Serialize the given Java object into string entity according the given content type.javax.ws.rs.client.Entity<?>JaxRsAdapterRestEasy. serialize(Object obj, String contentType, ApiClientConfig config, Formatter formatter)
-